
Foreman - Feature #35670

pkg_manager.erb - support AmazonLinux 2 & 2022

10/25/2022 11:15 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 3.6.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9469

  

Description

Associated revisions

Revision 8e193d14 - 12/01/2022 12:12 PM - William Dixon

Fixes #35670 - pkg_manager.erb - support AmazonLinux 2 & 2022

This provides detection for AmazonLinux 2022 (dnf) and fallback support for

Amazon Linux 2 (yum), as well as other RHEL'ish clones.

History

#1 - 10/25/2022 05:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9469 added

#2 - 12/01/2022 12:12 PM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#3 - 12/01/2022 01:01 PM - William Dixon

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8e193d1413e28593aeec05db91ccfa49029d6a8b.

#4 - 12/14/2022 12:00 PM - Ewoud Kohl van Wijngaarden

- Category set to Unattended installations

- Triaged changed from No to Yes
